Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.item
Class Dec

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.expr.Expr
              org.basex.query.item.Item
                  org.basex.query.item.Dec

    public final class Dec

extends Item

Decimal item.

Author:
  Workgroup DBIS, University of Konstanz 2005-10, ISC License, Christian Gruen

Nested Class Summary

Nested classes/interfaces inherited from class org.basex.query.expr.Expr
`Expr.Use`

Field Summary

Fields inherited from class org.basex.query.item.Item
`score, type`

Constructor Summary
`Dec(BigDecimal d, Type t)` Constructor.
`Dec(byte[] t)` Constructor.

Method Summary
`boolean` | `bool()` Returns a boolean representation of the item.
`double` | `dbl()` Returns a double representation of the item.
`BigDecimal` | `dec()` Returns a decimal representation of the item.
`int` | `diff(Item it)` Returns the difference between the current and the specified item.
`boolean` | `eq(Item it)` Checks the items for equality.
`float` | `flt()` Returns a float representation of the item.
`static Dec` | `get(BigDecimal d)` Constructor.
`static Dec` | `get(double d)` Constructor.
`int` | `hashCode()`
`long` | `itr()` Returns an integer (long) representation of the item.
`Object` | `java()` Returns a Java object.
`byte[]` | `str()` Returns an atomized string.

Methods inherited from class org.basex.query.item.Item
`atomic, comp, d, duplicates, ebv, i, iter, iter, n, name, node, plan, removable, returned, s, score, score, serialize, size, test, toString, u, uses`

Methods inherited from class org.basex.query.expr.Expr
`addText, checkCtx, checkDbl, checkItr, e, indexAccessible, indexEquivalent, remove, sameAs, v`

Methods inherited from class org.basex.query.ExprInfo
`color, info`

Methods inherited from class java.lang.Object
`equals, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Dec

    public Dec(byte[] t)

  Constructor.

  Parameters:
    `t` - string representation

### Dec

    public Dec(BigDecimal d,
               Type t)

  Constructor.

  Parameters:
    `d` - decimal value
    `t` - string representation

Method Detail

### get

    public static Dec get(BigDecimal d)

  Constructor.

  Parameters:
    `d` - big decimal value
  Returns:
    value

### get

    public static Dec get(double d)

  Constructor.

  Parameters:
    `d` - big decimal value
  Returns:
    value

### str

    public byte[] str()

  Description copied from class: `Item`
  Returns an atomized string.

  Overrides:
    `str` in class `Item`
  Returns:
    string representation

### bool

    public boolean bool()

  Description copied from class: `Item`
  Returns a boolean representation of the item.

  Overrides:
    `bool` in class `Item`
  Returns:
    boolean value

### itr

    public long itr()

  Description copied from class: `Item`
  Returns an integer (long) representation of the item.

  Overrides:
    `itr` in class `Item`
  Returns:
    long value

### flt

    public float flt()

  Description copied from class: `Item`
  Returns a float representation of the item.

  Overrides:
    `flt` in class `Item`
  Returns:
    float value

### dbl

    public double dbl()

  Description copied from class: `Item`
  Returns a double representation of the item.

  Overrides:
    `dbl` in class `Item`
  Returns:
    double value

### dec

    public BigDecimal dec()

  Description copied from class: `Item`
  Returns a decimal representation of the item.

  Overrides:
    `dec` in class `Item`
  Returns:
    decimal value

### eq

    public boolean eq(Item it)
               throws QueryException

  Description copied from class: `Item`
  Checks the items for equality.

  Specified by:
    `eq` in class `Item`
  Parameters:
    `it` - item to be compared
  Returns:
    result of check
  Throws:
    `QueryException` - query exception

### diff

    public int diff(Item it)
             throws QueryException

  Description copied from class: `Item`
  Returns the difference between the current and the specified item.

  Overrides:
    `diff` in class `Item`
  Parameters:
    `it` - item to be compared
  Returns:
    difference
  Throws:
    `QueryException` - query exception

### java

    public Object java()

  Description copied from class: `Item`
  Returns a Java object.

  Overrides:
    `java` in class `Item`
  Returns:
    string representation

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Item`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD